org.apache.hadoop.yarn.api.records

## Class UpdateContainerError

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.UpdateContainerError

-     @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public abstract class UpdateContainerError
      extends Object

  `UpdateContainerError` is used by the Scheduler to notify the ApplicationMaster of an UpdateContainerRequest it cannot satisfy due to an error in the request. It includes the update request as well as a reason for why the request was not satisfiable.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateContainerError()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `abstract int` | `getCurrentContainerVersion()` Get current container version.
    `abstract String` | `getReason()` Get reason why the update request was not satisfiable.
    `abstract UpdateContainerRequest` | `getUpdateContainerRequest()` Get the `UpdateContainerRequest` that was not satisfiable.
    `int` | `hashCode()`
    `static UpdateContainerError` | `newInstance(String reason, UpdateContainerRequest updateContainerRequest)`
    `abstract void` | `setCurrentContainerVersion(int currentVersion)` Set current container version.
    `abstract void` | `setReason(String reason)` Set reason why the update request was not satisfiable.
    `abstract void` | `setUpdateContainerRequest(UpdateContainerRequest updateContainerRequest)` Set the `UpdateContainerRequest` that was not satisfiable.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateContainerError

          public UpdateContainerError()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public static UpdateContainerError newInstance(String reason,
                                                                                                                 UpdateContainerRequest updateContainerRequest)

    - #### getReason

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract String getReason()

      Get reason why the update request was not satisfiable.
      Returns:
        Reason

    - #### setReason

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setReason(String reason)

      Set reason why the update request was not satisfiable.
      Parameters:
        `reason` - Reason

    - #### getCurrentContainerVersion

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract int getCurrentContainerVersion()

      Get current container version.
      Returns:
        Current container Version.

    - #### setCurrentContainerVersion

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setCurrentContainerVersion(int currentVersion)

      Set current container version.
      Parameters:
        `currentVersion` - Current container version.

    - #### getUpdateContainerRequest

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract UpdateContainerRequest getUpdateContainerRequest()

      Get the `UpdateContainerRequest` that was not satisfiable.
      Returns:
        UpdateContainerRequest

    - #### setUpdateContainerRequest

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setUpdateContainerRequest(UpdateContainerRequest updateContainerRequest)

      Set the `UpdateContainerRequest` that was not satisfiable.
      Parameters:
        `updateContainerRequest` - Update Container Request

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.